function Effect() {

	this.textures = {
		center: null,
	};

	this.init = function () {
		Api.meshfxMsg("spawn", 0, 0, "quad_1.bsm2");

		this.textures.center = new TestSprite(0, 0);
        // setTextOnMask('{"text":"Hello there!","R":1.0,"G":0.0,"B":0.0,"A":0.7}');

		Api.meshfxMsg("shaderVec4", 0, 0, "1 0.0 0.5 0.0");
		Api.meshfxMsg("shaderVec4", 1, 1, "-1 0.0 0.5 0.0");
	};

	this.restart = function () {};

	this.faceActions = [];
	this.noFaceActions = [];

	this.videoRecordStartActions = [];
	this.videoRecordFinishActions = [];
	this.videoRecordDiscardActions = [];
}

var texts = [
	"None",
	"Like",
	"Ok",
	"Palm",
	"Rock",
	"Victory",
];

function TestSprite(id, tex_id) {

	this.id = id;
	this.tex_id = tex_id;
	this.currTexture = 0;
	var textParam = new Object();

    var textIdx = 0;

    textParam.width = 1440;
    textParam.height = 440;
    textParam.font = "NotoSans-Regular.ttf";
    textParam.text = "None";
    

    Api.meshfxMsg("textTexture", 0, this.tex_id, JSON.stringify(textParam));

	this.setGesture = function (idx) {
    textParam.text = texts[idx];

    Api.meshfxMsg("textTexture", 0, textIdx, JSON.stringify(textParam));
	}
}

var effect = new Effect();

function setHand(json){

}

function setGesture(json){
	var gestureInfo = JSON.parse(json);
	effect.textures.center.setGesture(gestureInfo.idx)
}

configure(effect);